polybori::CNodeCounter< NaviType > Class Template Reference

This class defines CNodeCounter. More...

`#include <CNodeCounter.h>`

## Public Types

typedef NaviType | navigator
typedef NaviType::size_type | size_type

## Public Member Functions

| CNodeCounter ()
| CNodeCounter (const self &rhs)
| ~CNodeCounter ()
size_type | operator() (navigator navi)

## Detailed Description

### template<class NaviType>
class polybori::CNodeCounter< NaviType >

This class defines CNodeCounter.

## Member Typedef Documentation

template<class NaviType >

typedef NaviType polybori::CNodeCounter< NaviType >::navigator

template<class NaviType >

typedef NaviType::size_type polybori::CNodeCounter< NaviType >::size_type

## Constructor & Destructor Documentation

template<class NaviType >

polybori::CNodeCounter< NaviType >::CNodeCounter | ( | ) |  |

inline

template<class NaviType >

polybori::CNodeCounter< NaviType >::CNodeCounter | ( | const self & | rhs) |  |

inline

template<class NaviType >

polybori::CNodeCounter< NaviType >::~CNodeCounter | ( | ) |  |

inline

## Member Function Documentation

template<class NaviType >

size_type polybori::CNodeCounter< NaviType >::operator() | ( | navigator | navi) |  |

inline

The documentation for this class was generated from the following file:

- CNodeCounter.h